Support » Plugin: Easy FancyBox » Plugin Conflict w/ LayerSliderWP

  • I’m using LayerSliderWP and Easy Fancybox – there seems to be a conflict with the two plugins in the WP Admin Panel. LayerSliderWP includes a preview functionality in the slider builder UI. Easy Fancybox deregisters a dependent JS file (jquery easing) that breaks the LayerSliderWP preview functionality. I’m using the latest versions of both plugins. If I comment out lines 432 – 436 in easy-fancybox/easy-fancybox-class.php

    wp_deregister_script('easing');
    wp_deregister_script('jquery.easing');
    wp_deregister_script('jqueryeasing');
    wp_deregister_script('jquery_easing');
    wp_deregister_script('jquery-easing');

    …it fixes the issue with LayerSliderWP. It seems that when you deregister jquery easing you should only do so on the frontend:

    if ( !is_admin() ) {
        wp_deregister_script( 'jquery.easing' );
    }

    I’ve tested this and it works fine from my initial testing. Please let me know if you need anymore info on this! Thanks for the great plugin.

    http://wordpress.org/extend/plugins/easy-fancybox/

Viewing 2 replies - 1 through 2 (of 2 total)
Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Plugin Conflict w/ LayerSliderWP’ is closed to new replies.